[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TVirtualGrid.doDestroyItem

Destroys an Item at the given Row and Column location.

## Declaration

Source position: grids.pas line 421

`protected procedure TVirtualGrid.doDestroyItem(`
`Sender: TObject;`
`Col: Integer;`
`Row: Integer;`
`var Item: Pointer`
`);`

## Arguments

`Sender` |  | Column, row, or cell properties affected in the method.
`Col` |  | Column number freed in the method.
`Row` |  | Row number freed in the method.
`Item` |  | Pointer to the column, row, or cell properties freed in the method.

## Description

Performs actions needed to free the Item at the specified column and row numbers.

Item is a Pointer to the column/row properties for the cell at the coordinates in Col and Row. No actions are performed in the method when Item is unassigned (contains Nil).

Sender contains the object instance for the column, row, or cell affected in the method. Calls the DisposeColRow method when Sender is for a column or row array. Calls DisposeCell when Sender contains a pointer to another object class.

The value in Item is set to Nil prior to exiting from the method.

doDestroyItem is the default handler assigned to the OnDestroyItem event handler for the cell, column and row arrays used in the virtual grid.